package demojsoncrud.beans;

import java.io.Serializable;

public class UbigeoBean implements Serializable {

  private static final long serialVersionUID = 4594333294248399680L;

  private String codigoDepartamento;
  private String nombreDepartamento;
  private String codigoProvincia;
  private String nombreProvincia;
  private String codigoDistrito;
  private String nombreDistrito;

  public UbigeoBean() {
  }

  public UbigeoBean(UbigeoBean ubigeo) {
    this.codigoDepartamento = ubigeo.getCodigoDepartamento();
    this.nombreDepartamento = ubigeo.getNombreDepartamento();
    this.codigoProvincia = ubigeo.getCodigoProvincia();
    this.nombreProvincia = ubigeo.getNombreProvincia();
    this.codigoDistrito = ubigeo.getCodigoDistrito();
    this.nombreDistrito = ubigeo.getNombreDistrito();
  }

  public String getCodigoDepartamento() {
    return codigoDepartamento;
  }

  public void setCodigoDepartamento(String codigoDepartamento) {
    this.codigoDepartamento = codigoDepartamento;
  }

  public String getNombreDepartamento() {
    return nombreDepartamento;
  }

  public void setNombreDepartamento(String nombreDepartamento) {
    this.nombreDepartamento = nombreDepartamento;
  }

  public String getCodigoProvincia() {
    return codigoProvincia;
  }

  public void setCodigoProvincia(String codigoProvincia) {
    this.codigoProvincia = codigoProvincia;
  }

  public String getNombreProvincia() {
    return nombreProvincia;
  }

  public void setNombreProvincia(String nombreProvincia) {
    this.nombreProvincia = nombreProvincia;
  }

  public String getCodigoDistrito() {
    return codigoDistrito;
  }

  public void setCodigoDistrito(String codigoDistrito) {
    this.codigoDistrito = codigoDistrito;
  }

  public String getNombreDistrito() {
    return nombreDistrito;
  }

  public void setNombreDistrito(String nombreDistrito) {
    this.nombreDistrito = nombreDistrito;
  }

}
